FROM node:7.8.0

# Create app directory
RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

# Install app dependencies
COPY package.json /usr/src/app/
RUN npm install --global nodemon

# Bundle app source
COPY . /usr/src/app

EXPOSE 3000

CMD [ "nodemon", "-L", "npm start" ]
